/*
 * usi_spi_driver.h
 *
 *  Created on: 04.11.2012
 *      Author:
 */
#include <avr/io.h>
#include <avr/interrupt.h>
// #include "timer0.h"
// #include "timer1.h"
//#include "config.h"

#ifndef USI_SPI_DRIVER_H_
#define USI_SPI_DRIVER_H_

struct usidriverStatus_t {
	uint8_t masterMode : 1;       //!< True if in master mode.
	uint8_t transferComplete : 1; //!< True when transfer completed.
	uint8_t writeCollision : 1;   //!< True if put attempted during transfer.
	uint8_t modeUART : 1;   	  //!< True if not in SPI mode.
};

volatile struct usidriverStatus_t spiX_status; //!< The driver status bits.


unsigned char storedUSIDR;

#endif /* USI_SPI_DRIVER_H_ */
